/v1/cards/:id/historyReturn historical sold baselines or Cardmarket listing snapshots for one public card id. Basic has no history access, Pro supports up to 7d, and Mega supports up to 180d. Optional country and language filters are available for listings history with cursor pagination.
Resolved path
/v1/cards/019daab5-4998-71c9-a088-60163b2d6a35/history?period=7d+%28Pro%29+%2F+30d+%28Mega%29&kind=listings&limit=30Subscription access
Subscribe to get your key, usage dashboard, invoices, and live request console. The examples here use RapidAPI proxy headers.
SubscribePublic PokePrice Lab card id.
History window (must be within your plan allowance).
Series type: sold baseline or listings snapshots.
Optional seller-country filter for listings history.
Optional listing language filter for listings history.
Cursor page size, capped at 180.
Cursor returned by the previous page.
Generated request
curl "https://pokeprice-lab.p.rapidapi.com/v1/cards/019daab5-4998-71c9-a088-60163b2d6a35/history?period=7d+%28Pro%29+%2F+30d+%28Mega%29&kind=listings&limit=30" \
-H "Accept: application/json" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: pokeprice-lab.p.rapidapi.com"Response
{
"data": [
{
"date": "2026-04-14",
"kind": "listings",
"currency": "EUR",
"country": "IT",
"source": "market_unsold",
"language": "JA",
"price_low": 349,
"price_high": 389,
"price_avg": 362,
"avg_1d": 360,
"avg_7d": 354,
"avg_30d": 348,
"population": 18,
"trend": "stable",
"volatility": "medium"
},
{
"date": "2026-04-15",
"kind": "listings",
"currency": "EUR",
"country": "IT",
"source": "market_unsold",
"language": "JA",
"price_low": 352,
"price_high": 398,
"price_avg": 371,
"avg_1d": 366,
"avg_7d": 358,
"avg_30d": 351,
"population": 24,
"trend": "up",
"volatility": "medium"
}
],
"kind": "listings",
"period": "30d",
"page": {
"limit": 30,
"next_cursor": "2026-04-13",
"has_more": true
}
}